@Echo off

rem Ersteller J.Feuerstein 21.11.2006 16:57:21
rem 09:37 29.05.2008

rem 


set CurCmdRoot_DP=%~dp0
set CurCmdRoot_DP=%CurCmdRoot_DP:~0,-1%
rem call :PathCutLastDir AppRoot_LP %~dp0
rem %AppRoot_LP%\03-BinPublic;
set path=%CurCmdRoot_DP%;%Path%


set Mytitle=Reboot Computer [\\%ComputerName%]

title %Mytitle%

Echo.
Echo.
Echo Hinweis:
Echo dieser Rechner \\%ComputerName% wird Neugestartet
Echo.
set WaitT1=30
set /A WaitT2=%WaitT1% - 5
set toRun=DOWN.exe /Q /F /R %WaitT1% "dieser Rechner %ComputerName% wird neu gestartet der Hinweis: Der Neustart des Rechners kann noch innherhalb von %WaitT2% [sec] abgebrochen werden durch druecken von Return im cmd Fenster"
Echo %toRun%
Echo.
%toRun%
Echo.
Echo  Hinweis:
Echo  --------
Echo.
Echo  der Neustart des Rechners kann abgebrochen werden
Echo  durch druecken von Return in diesem Fenster!
Pause
set toRun=DOWN.exe /A
Echo.
Echo Neustart des Rechners wird jetzt abgebrochen..
Echo via: %toRun%
Echo.
%toRun%
Pause

goto :eof

rem ##### ------------ Standard Subroutines --------------------- ######
:PathCutLastDir
 rem schneidet das letzte Verzeichniss Uebergeben path ab
 rem P1 = Name der Variablen
 rem P2 = der Übergebene Path
 rem Example : call :PathCutLastDir AppRoot_LP %~dp0
 rem Example : call :PathCutLastDir MyVar %~dp0

 set PathCutLastDir$temp=%2
 set PathCutLastDir$tempLastChar=%PathCutLastDir$temp:~-1%
 set PathCutLastDir$tempNoBacks=%PathCutLastDir$temp:~0,-1%

 if "%PathCutLastDir$tempLastChar%"=="\" (
   rem "\" abschneiden wenn vorhanden
   call :PathCutLastDirDo PathCutLastDir$tempRes %PathCutLastDir$tempNoBacks%
 ) else (
   rem
   call :PathCutLastDirDo PathCutLastDir$tempRes %PathCutLastDir$temp%
 )
 set PathCutLastDir$tempRes=%PathCutLastDir$tempRes:~0,-1%
 set %1=%PathCutLastDir$tempRes%
 set PathCutLastDir$temp=
 set PathCutLastDirDo$temp1=
 set PathCutLastDir$tempNoBacks=
 set PathCutLastDir$tempNoLastChar=
 set PathCutLastDir$tempLastChar=
 set PathCutLastDir$tempRes=
 goto :eof

:PathCutLastDirDo
 rem hiermit schneiden wir den Path ab
 rem echo.
 rem Echo P1=%1 P2=%2
 set PathCutLastDirDo$temp=%~dp2
 rem "\" abschneiden
 set PathCutLastDirDo$temp1=%PathCutLastDir$temp:~0,-1%
 set %1=%PathCutLastDirDo$temp%
 set PathCutLastDirDo$temp=
 set PathCutLastDirDo$temp1=
 goto :eof
